Fetch User Survey

​

Returns the URL of a user's available survey

Headers

  • The signature for the API call

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Advertises which content types the client is able to understand

  • Preferred language

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

  • ID of the survey

Responses

  • application/json
Request Example for get/api2/mobile/survey_details
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/survey_details \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'Accept-Timezone: Etc/UTC' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "user_survey_id": 123456
}'
{
  "id": 123456,
  "survey_url": "URL_GOES_HERE"
}